Browse code

weasel gave me a less ugly shell hack

Roger Dingledine authored on23/09/2006 18:55:47
Showing1 changed files
... ...
@@ -1,9 +1,11 @@
1 1
 #!/bin/sh
2
-svn update && \
3
-make && \
2
+set -e # stop if we encounter an error
3
+
4
+svn update
5
+make
4 6
 
5 7
 # don't copy over stuff with permissions that make it useless
6
-chmod a+r * -R && \
8
+chmod a+r * -R
7 9
 
8 10
 ## I'm not comfortable having arbitrary people use --delete yet,
9 11
 ## since if they screw up it'll blow away arbitrary things.